Subject: bug#59368: icecat does not honor /etc/timezone starting with 102.3.0.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 13 Feb 2023 21:13:50 -0500

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> I've recently found out that icecat wouldn't display time correctly for
>> my local time zone anymore (even when the 'resistFingerprinting' in
>> about:config is disabled, which would have usually resolved the
>> problem).
>>
>> To test, I simply visit the https://everytimezone.com/, which shows your
>> current time.
>>
>> This version from early September 2022 works:
>>
>> /gnu/store/bzpyas70s9j95dqad00vafks5icg51dm-icecat-91.13.0-guix0-preview1/bin/icecat
>>
>>
>> While this one from the end of September 2022 doesn't
>>
>> /gnu/store/bzpyas70s9j95dqad00vafks5icg51dm-icecat-91.13.0-guix0-preview1/bin/icecat
>>
>
> The above problematic file name should have been that of icecat 102.3.0:
>
> /gnu/store/4gph2kbnmy64ii0fs9msig2jzjsnxdxi-icecat-102.3.0-guix0-preview1

Looking through IRC logs, Tobias had shared the following insight about
the problem:

--8<---------------cut here---------------start------------->8---
2022-11-14 16:15:25	nckx	podiki[m], apteryx: IceCat assumes that
/etc/localtime is a symlink to <zoneinfo>/share/zoneinfo/Your/TZ, and
bugs out if it isn't.  Some GNOME software is similarly broken.
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim